import sys, obs, pyb
__syslog = obs.system_log('RECOVERY')
def __exception_handling(err):
    __syslog.error('{}: {}\r'.format(type(err).__name__, err))
    sys.print_exception(err, __syslog)
try:
    if obs.sweep_reset():
        import omc048_remote
        main_application = omc048_remote.remote_main()
        main_application.run()
    else:
        import omc048_main
        main_application = omc048_main.application_main()
        main_application.run()
except KeyboardInterrupt as exception:
# Disabling any interrupts configured on digital-input 1/2 pins of the OMC-048
    pyb.Pin.board.PE9.irq(trigger=0, handler=None)
    pyb.Pin.board.PE11.irq(trigger=0, handler=None)
    sys.exit()
except Exception as exception:
    print(exception.__class__.__name__ + ": " + "Entering recovery mode...")
    print('{}: {}'.format(type(exception).__name__, exception, ))
    __exception_handling(exception)
    import omc048_recovery
    main_application = omc048_recovery.recovery_main()
    main_application.run()
