#The iridium-modem could be enabled via the config.txt file:

# # ----Modem-Settings---- #
# Iridium_modem:
#   id: iridium_modem
#   port: serial4
#   supply_port: 4

# # ----Iridium-Settings---- # 
# Iridium:
# - id: data_iridium
#   system_id: ZZ
#   transmit_interval: "0 0 * * *"

## ----Data-log-settings---- #
# Iridium_file:
# - id: iridium
#   create_interval: "55 59 * * *"

# Unlike the normal log outputs, the iridium driver will only add data to the iridium message (file) if the datafield is described in the 
# iridium_reference_tables.py, shown below.

    # iridium_standard =  {
    #                         #Sensor TAG            #Iridium TAG         #Nr of decimals     #Char clip (includes +/-/,)
    #                         'IVBAT'             :   ('V',                1,                  4,      ),

# The original #Sensor TAG is used for identification, if present the converted data is appended to the iridium message. 

# Example of the printed Sensor data containing the #Sensor TAG:
#     Sensor data: ('Coin cell voltage', 'V', 'VBAT')

#The Iridium Tag can be user-defined. (Be aware, Iridium messages are limited size)

# The number of decimals can be set as well as a clip on the number of characters. If the data should be ‘as-is’ please define ‘None’. 
# In case values exceed the range of the number of characters, the shall be clipped to the maximum or minimum depending on the value.

# Below some examples of valid ranges, versus number of decimals:
# -999      to     9999  	(0 decimals, clip to 4)
# -99.9     to     999.9  	(1 decimals, clip to 5)
# -9.99     to     99.99 	(2 decimals, clip to 5)

# If ‘sensor_data_print: True’ is active the iridium message is printed prior to transmission. A message contains the ‘system_id’ at start, then a data/timestamp,
#  after which the data appended by the sensors (via the dictionary filter). This should be used to validate if the conversion is made accordingly.

#If the "iridium_reference_table_template" file will be used, the "_template" part of the filename must be removed. 

class iridium_reference_table:
    iridium_standard =  {
                            #Sensor TAG            #Iridium TAG         #Nr of decimals     #Char clip (includes +/-/,)
                            'IVBAT'             :   ('V',                1,                  4,      ),
                            'ITEMP'             :   ('T',                2,                  5,      ),
                            'IHUM'              :   ('H',                3,                  8,      ),
                            'LAT'              :   ('L',                None,               None,   ),
                            'LON'              :   ('l',                None,               None,   ),
                            # 'user defined'   :   (None,               None,               None,   ),
                        }

